# XPath2MemoryManager.hpp File Reference

`#include <algorithm>`
`#include <assert.h>`
`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xercesc/framework/MemoryManager.hpp>`

Include dependency graph for XPath2MemoryManager.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | xercesc

## Classes

class | XPath2MemoryManager
class | XQillaAllocator< _Tp >
struct | XQillaAllocator< _Tp >::rebind< _Tp1 >
class | AutoRelease< TYPE >
class | AutoDelete< TYPE >
class | AutoDeleteArray< TYPE >
class | AutoDeallocate< TYPE >

## Functions

void * | operator new (size_t amt, xercesc::MemoryManager *memMgr)
void | operator delete (void *ptr, xercesc::MemoryManager *memMgr)

## Function Documentation

void operator delete | ( | void * | ptr,
|  | xercesc::MemoryManager * | memMgr
| ) | `[inline]`

void* operator new | ( | size_t | amt,
|  | xercesc::MemoryManager * | memMgr
| ) | `[inline]`